# Created by pyp2rpm-3.2.1
%global pypi_name libsan

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        1%{?dist}
Summary:        Python modules to manage SAN devices

License:        TODO
URL:            https://gitlab.com/bgoncalv/python-libsan.git
Source0:        https://files.pythonhosted.org/packages/source/l/%{pypi_name}/%{pypi_name}-0.1.0.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description


%package -n     python2-%{pypi_name}
Summary:        Python modules to manage SAN devices
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-paramiko
%description -n python2-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install
cp %{buildroot}/%{_bindir}/sancli %{buildroot}/%{_bindir}/sancli-2
ln -sf %{_bindir}/sancli-2 %{buildroot}/%{_bindir}/sancli-%{python2_version}


%files -n python2-%{pypi_name}
%doc 
%{_bindir}/sancli
%{_bindir}/sancli-2
%{_bindir}/sancli-%{python2_version}
%{python2_sitelib}/libsan/array
%{python2_sitelib}/libsan/physwitch
%{python2_sitelib}/libsan/array/emc
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/libsan/switch/cisco
%{python2_sitelib}/libsan/array/linux
%{python2_sitelib}/libsan/misc
%{python2_sitelib}/libsan/array/dell
%{python2_sitelib}/libsan/host
%{python2_sitelib}/libsan/array/netapp
%{python2_sitelib}/libsan/physwitch/apcon
%{python2_sitelib}/libsan/switch
%{python2_sitelib}/libsan/switch/brocade
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Mar 12 2017 root - 0.1.1-1
- Initial package.